---
title: Blob.slice()
slug: Web/API/Blob/slice
tags:
  - API
  - Blob
  - File
  - File API
  - Method
  - Reference
  - Section
  - Subset
  - data
  - slice
  - split
---
<p>{{APIRef("File API")}}</p>

<p>The {{domxref("Blob")}} interface's <strong><code>slice()</code></strong> method creates and returns a new <code>Blob</code> object which contains data from a subset of the blob on which it's called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>newBlob</em> = <em>blob</em>.slice(<em>start</em>, <em>end</em>, <em>contentType</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>start</code> {{optional_inline}}</dt>
 <dd>An index into the {{domxref("Blob")}} indicating the first byte to include in the new {{domxref("Blob")}}. If you specify a negative value, it's treated as an offset from the end of the {{domxref("Blob")}} toward the beginning. For example, -10 would be the 10th from last byte in the {{domxref("Blob")}}. The default value is 0. If you specify a value for <code>start</code> that is larger than the size of the source {{domxref("Blob")}}, the returned {{domxref("Blob")}} has size 0 and contains no data.</dd>
 <dt><code>end</code> {{optional_inline}}</dt>
 <dd>An index into the {{domxref("Blob")}} indicating the first byte that will *not* be included in the new {{domxref("Blob")}} (i.e. the byte exactly at this index is not included). If you specify a negative value, it's treated as an offset from the end of the {{domxref("Blob")}} toward the beginning. For example, -10 would be the 10th from last byte in the {{domxref("Blob")}}. The default value is <code>size</code>.</dd>
 <dt><code>contentType</code> {{optional_inline}}</dt>
 <dd>The content type to assign to the new {{domxref("Blob")}}; this will be the value of its <code>type</code> property. The default value is an empty string.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("Blob")}} object containing the specified subset of the data contained within the blob on which this method was called. The original blob is not altered.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("File API", "#dfn-slice", "Blob.slice()")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.Blob.slice")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Blob")}}</li>
 <li><a href="/en-US/docs/Web/API/File/Using_files_from_web_applications">Using files from web applications</a></li>
</ul>
